// package slog_term -- логгера для терминала
package slog_term

// SlogTerm -- терминальный логгер
type SlogTerm struct {
	chMsg chan string
}

// NewSlogTerm -- возвращает новый терминальный логгер
func NewSlogTerm() *SlogTerm {
	sf := &SlogTerm{
		chMsg: make(chan string, 10),
	}
	go sf.run()
	return sf
}

// Write -- пишет запись в консоль
func (sf *SlogTerm) Write(msg string) {
	sf.chMsg <- msg
}

// Главный цикл, работает в отдельном потоке
func (sf *SlogTerm) run() {
	// for msg := range sf.chMsg {
	// 	// fmt._rintln(msg)
	// }
}
